在WAMPSERVER下增加多版本的PHP(PHP5.3,PHP5.4,PHP5.5)支持。


WAMPServer可以让开发者在Windows系统下快速搭建WAMP环境,它支持多版本的Apache、MySQL、PHP之间的相互切换,互不影响,对于PHPer开发者来讲极为方便快速。

以下是在WAMPServer下同时支持PHP5.3、PHP5.4、PHP5.5、PHP5.6的步骤:

1、安装WAMPServer

根据自己的操作系统选择相应的WAMP版本,我这里选择WAMPSERVER-32 BITS & PHP 5.5-2.5,双击安装,选择安装目录即可,超级简单。

根据我安装的版本,这里已经默认安装了PHP5.5.12,如下图,可以发现多了两个特别文件:phpForApache.iniwampserver.conf

2、下载PHP二进制包

PHP目前提供PHP5.3、PHP5.4、PHP5.5、PHP5.6版本,因为我安装的是WAMPSERVER-32 BITS,所以对应的PHP版本只能是32位,到Windows PHP下载TS版本(Thread-Safe-VC9-X86)对应的PHP二进制ZIP包,并解压缩二进制包到WAMP安装目录,如D:\wamp_2\bin\php下。

3、增加PHP多版本支持

以我的安装目录为参照,拷贝php5.5.12下的wampserver.conf文件分别到PHP各版本目录;

以php5.6.3为例,拷贝目录下的php.ini-development并重命名为phpForApache.ini,根据自己要求修改phpForApache.ini里的PHP环境参数,保存退出;

以上完成了PHP5.6.3版本的添加,其它版本添加类似。

4、选择PHP运行环境

重新打开WAMPServer管理器,选择想要运行的PHP版本环境。

 

以上。


注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
粤ICP备14056181号  © 2014-2020 ITdaan.com